package de.ozgcloud.archive.common.xta;

import java.util.List;

import org.springframework.boot.context.properties.ConfigurationPropertiesBinding;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;

import de.ozgcloud.common.errorhandling.TechnicalException;
import de.ozgcloud.xta.client.model.XtaIdentifier;
import lombok.RequiredArgsConstructor;

@Component
@ConfigurationPropertiesBinding
@RequiredArgsConstructor
public class JsonToXtaIdentifierListConverter implements Converter<String, List<XtaIdentifier>> {

	private final ObjectMapper objectMapper;

	@Override
	public List<XtaIdentifier> convert(String source) {
		try {
			return objectMapper.readValue(source, new TypeReference<List<XtaIdentifier>>() {
			});
		} catch (JsonProcessingException e) {
			throw new TechnicalException("Error on converting XtaIdentifier!", e);
		}
	}

}
