/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.archive.common.callcontext;

import java.util.List;

import de.ozgcloud.apilib.common.callcontext.CallContext;
import de.ozgcloud.apilib.common.callcontext.CallContext.CallContextBuilder;
import de.ozgcloud.apilib.user.OzgCloudUserId;

public class CallContextTestFactory {

	public static final String REQUEST_ID = CallContextUserTestFactory.REQUEST_ID;
	public static final OzgCloudUserId USER_ID = OzgCloudUserId.from(CallContextUserTestFactory.USER_ID);
	public static final String CLIENT_NAME = CallContextUserTestFactory.CLIENT_NAME;
	public static final String ORGANISATIONS_EINHEITEN_ID = CallContextUserTestFactory.ORGANISATIONS_EINHEITEN_ID;
	public static final boolean ACCESS_LIMITED = CallContextUserTestFactory.ACCESS_LIMITED;

	public static CallContext create() {
		return createBuilder()
				.build();
	}

	public static CallContextBuilder createBuilder() {
		return CallContext.builder()
				.requestId(REQUEST_ID)
				.clientName(CLIENT_NAME)
				.userId(USER_ID)
				.accessLimited(ACCESS_LIMITED)
				.accessLimitedToOrgaIds(List.of(ORGANISATIONS_EINHEITEN_ID));
	}
}
